#include "PointLight.hxx"

PointLight::PointLight(Scene* scene, const Vec3f& pos, const Vec3f& intensity)
  : Light(scene),
    m_pos(pos),
    m_intensity(intensity)
{
}

PointLight::~PointLight()
{
}

PointLight::PointLight()
  : Light(0),
    m_pos(Vec3f()),
    m_intensity(Vec3f())
{
}

bool
PointLight::Illuminate(Ray& ray, Vec3f& intensity)
{

  return false;
}

const Vec3f&
PointLight::position() const
{
  return m_pos;
}

const Vec3f&
PointLight::intensity() const
{
  return m_intensity;
}


