#include "PhongShader.hxx"

PhongShader::PhongShader(Scene* scene,
			 const Vec3f& am_c,
			 const Vec3f& di_c,
			 const Vec3f& sp_c,
			 float ka,
			 float kd,
			 float ks,
			 float ke)
  : Shader(scene),
    m_ambient_color(am_c),
    m_diffuse_color(di_c),
    m_specular_color(sp_c),
    m_ka(ka),
    m_kd(kd),
    m_ks(ks),
    m_ke(ke)
{
}

PhongShader::PhongShader()
  : Shader(0)
{
}

PhongShader::~PhongShader()
{
}

Vec3f
PhongShader::Shade(Ray& ray)
{
  return Vec3f();
}
